<div ng-controller="SearchController">
  <h1 class="hidden"><%= __('Search') %></h1>

  <!-- Search Box (simple and advanced search) -->
  <div class="row" style="margin-bottom:30px">
    <div class="col-md-6 col-md-offset-3">

      <!-- Simple Search -->
      <div ng-if="!query.advancedSearch" ng-cloak>

        <!-- Text Input [query.searchString] -->
        <div class="input-group">
          <input type="text" class="form-control" placeholder="<%= __('Search_plchldr')%> ..."
          update-on-enter
          focus='true'
          ng-model="query.searchString">
          <span class="input-group-btn">
            <button class="btn btn-primary" type="button" ng-click="queryNow()">
              <span class="glyphicon glyphicon-search"></span>
            </button>
          </span>
        </div>

        <!-- Advanced Search Button -->
        <div class="row">
          <div class="col-lg-12">
            <button type="button" class="btn btn-link pull-right" ng-click="query.advancedSearch = true">
              <%= __('adv_search')%>
            </button>
          </div>
        </div>

      </div>

      <!-- Advanced Search -->
      <div ng-if="query.advancedSearch" ng-cloak>


        <div class="row">

          <!-- Label  -->
          <div class="col-xs-12">
            <div class="input-group">

              <!-- Query matchType [query.matchType] -->

              <div class="input-group-btn">
                <dropdown is-button btn-class="btn-default"
                ng-model="matchType"
                key-binding="query.matchType"
                key-to-bind="key"
                default="contains"
                options="[{
                  key: 'contains',
                  name: '<%= __('name_contains')%>'
                },{
                  key: 'startsWith',
                  name: '<%= __('name_startswith')%>'
                },{
                  key: 'endsWith',
                  name: '<%= __('name_endswith')%>'
                },{
                  key: 'equals',
                  name: '<%= __('name_isexact')%>'
                }
                ]">
              </dropdown>
            </div>

            <!-- Text Input [query.searchString] -->

            <input type="text" class="form-control" placeholder="<%= __('Search_plchldr')%> ..."
            update-on-enter
            focus='true'
            ng-model="query.searchString">
            <span class="input-group-btn">
              <button class="btn btn-primary" type="button" ng-click="updateModel()">
                <span class="glyphicon glyphicon-search"></span>
              </button>
            </span>
          </div>

          <!-- Where to search [query.searchIn] -->

          <div class="col-xs-8" style="font-size:9.5pt;">
            <div class="radio">
              <label><input type="radio" ng-model="query.searchIn" value="all">
                <%= __('search_all_vars')%>
              </label>
            </div>
            <div class="radio">
              <label><input type="radio" ng-model="query.searchIn" value="historical">
                <%= __('search_histavars')%>
              </label>
            </div>
          </div>

          <!-- Simple Search Button -->

          <div class="row">
            <div class="col-xs-4">
              <button type="button"class="btn btn-link pull-right" ng-click="showSimpleSearch()">
                <%= __('SimpleSearch') %>
              </button>
            </div>
          </div>
        </div>
      </div>

    </div>
  </div>
</div>


<!-- Filter Panel and Results List -->
<div class="row">

  <!-- Filter Panel [filters are boolean flags that can be true or false] -->
  <div class="col-md-3"  ng-if="apiCalled">
    <search-filter-panel></search-filter-panel>
  </div>

  <!-- Results Section -->
  <div class="col-md-9">

    <search-results-panel  ng-if="apiCalled"></search-results-panel>

    <!-- Loading spinner -->
    <div class="text-center">
      <div ng-show="loading">
        <span class="fa fa-spinner fa-spin fa-3x"></span>
      </div>
    </div>

  </div>

</div>
</div>

<script type="text/ng-template" id="searchFilterPanel.html">
  <%- partial ('search_templates/searchFilterPanel.ejs') %>
</script>

<script type="text/ng-template" id="dropdown.html">
  <%- partial ('search_templates/dropdown.ejs') %>
</script>

<script type="text/ng-template" id="searchResultsPanel.html">
  <%- partial ('search_templates/searchResultsPanel.ejs') %>
</script>

<script type="text/ng-template" id="nameHoldersCount.html">
  <%- partial ('search_templates/nameHoldersCount.ejs') %>
</script>

<script type="text/ng-template" id="languageFilter.html">
  <%- partial ('search_templates/languageFilter.ejs') %>
</script>

<script type="text/ng-template" id="timeFilter.html">
  <%- partial ('search_templates/timeFilter.ejs') %>
</script>

<script type="text/ng-template" id="genderFilter.html">
  <%- partial ('search_templates/genderFilter.ejs') %>
</script>

<script type="text/ng-template" id="resetFilterButton.html">
  <%- partial ('search_templates/resetFilterButton.ejs') %>
</script>
